package com.cj.jiaqingjiayi.model.request.manicurist;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class ManicuristAddRequest  implements Serializable {

    @Serial
    private static final long serialVersionUID = 1396365359119727782L;

    /**
     * 美甲师姓名
     */
    private String manicuristName;

    /**
     * 性别
     */
    private Integer gender;

    /**
     * 美甲师联系电话
     */
    private String phone;

    /**
     * 美甲师电子邮件
     */
    private String email;

    /**
     * 美甲师的专长（如法式美甲、彩绘等）
     */
    private String specialties;

    /**
     * 认证编号
     */
    private String certification_number;

    /**
     * 发证机构
     */
    private String issuing_authority;

    /**
     * 证书文件的存储路径或链接
     */
    private String certificate_path;

}
