package com.cj.jiaqingjiayi.model.request.manicurist;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.cj.jiaqingjiayi.model.request.PageRequest;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = true)
public class ManicuristQueryRequest extends PageRequest implements Serializable {

    @Serial
    private static final long serialVersionUID = -5433330530903928177L;
    /**
     * 商家ID（关联商家表）
     */
    private Long businessId;

    /**
     * 美甲师姓名
     */
    private String manicuristName;

    /**
     * 性别
     */
    private Integer gender;

    /**
     * 美甲师联系电话
     */
    private String phone;

    /**
     * 美甲师电子邮件
     */
    private String email;

    /**
     * 美甲师入职日期
     */
    private Date employment_date;

    /**
     * 美甲师的专长（如法式美甲、彩绘等）
     */
    private String specialties;
}
