package com.cj.jiaqingjiayi.model.request.Commodities;


import com.cj.jiaqingjiayi.model.request.PageRequest;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
public class CommoditiesQueryRequest extends PageRequest implements Serializable {

    @Serial
    private static final long serialVersionUID = -483140126402634506L;

    /**
     * 商品id
     */
    private Long id;

    /**
     * 商家id
     */
    private Long businessId;

    /**
     * 商品分组id
     */
    private Long commoditiesGroupId;

    /**
     * 商品名称
     */
    private String commoditiesName;

    /**
     * 商品状态：上架，下架
     */
    private String status;

}
