package com.cj.jiaqingjiayi.model.request.manicurist;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class AdminManicuristAddRequest implements Serializable {
    @Serial
    private static final long serialVersionUID = -1651547088747557889L;
    /**
     * 账号
     */
    private String userAccount;

    /**
     * 密码
     */
    private String userPassword;

    /**
     * 美甲师姓名
     */
    private String manicuristName;

    /**
     * 性别
     */
    private Integer gender;

    /**
     * 美甲师联系电话
     */
    private String phone;

    /**
     * 美甲师电子邮件
     */
    private String email;

    /**
     * 美甲师的专长（如法式美甲、彩绘等）
     */
    private String specialties;

    /**
     * 美甲师的服务评分
     */
    private BigDecimal rating;

    /**
     * 美甲师的基本薪资
     */
    private BigDecimal salary;

    /**
     * 认证编号
     */
    private String certification_number;

    /**
     * 发证机构
     */
    private String issuing_authority;

    /**
     * 证书文件的存储路径或链接
     */
    private String certificate_path;

}
